# Lightsail

### Supported operations <a href="#heading-supported-opertions" id="heading-supported-opertions"></a>

<table data-full-width="true"><thead><tr><th width="166.63641357421875">Operation</th><th width="261.818359375">Permissions Required</th><th>Example Prompts</th></tr></thead><tbody><tr><td>List key pairs</td><td>lightsail:GetKeyPairs</td><td><pre><code>list all the lightsail key pairs
</code></pre></td></tr><tr><td>Import a key pair</td><td>lightsail:ImportKeyPair</td><td><pre><code>import a lightsail key pair with following details -
name - test1
key - &#x3C;public_key_content>
</code></pre></td></tr><tr><td>Get details of a key pair</td><td>lightsail:GetKeyPair</td><td><pre><code><strong>show details of 'key1' lightsail key pair
</strong></code></pre></td></tr><tr><td>Delete a key pair</td><td>lightsail:DeleteKeyPair</td><td><pre><code><strong>delete 'key1' lightsail key pair
</strong></code></pre></td></tr><tr><td>List blueprints</td><td>lightsail:GetBlueprints</td><td><pre><code>list all the lightsail blueprints
</code></pre></td></tr><tr><td>List bundles</td><td>lightsail:GetBundles</td><td><pre><code>list all the lightsail bundles
</code></pre></td></tr><tr><td>List instances</td><td>lightsail:GetInstances</td><td><pre><code>list all the lightsail VMs
</code></pre></td></tr><tr><td>Create instances</td><td>lightsail:CreateInstances</td><td><pre><code>create lightsail vms with following details -
name(s) - instance1, instance2
zone - eu-west-1a
blueprint - ubuntu_24_04
bundle - nano_3_0
ssh key - key1
</code></pre></td></tr><tr><td>Get instance details</td><td>lightsail:GetInstance</td><td><pre><code>fetch details of 'instance 1' lightsail vm
</code></pre></td></tr><tr><td>Update instance firewall rules</td><td>lightsail:PutInstancePublicPorts</td><td><pre><code>replace firewall rules of 'instance 1' lightsail vm with following -
22|tcp|@CURRENT_IP
443|tcp|@CURRENT_IP
</code></pre></td></tr><tr><td>Start instance</td><td>lightsail:StartInstance</td><td><pre><code>start 'instance 1' lightsail vm
</code></pre></td></tr><tr><td>Stop instance</td><td>lightsail:StopInstance</td><td><pre><code>stop 'instance 1' lightsail vm
</code></pre></td></tr><tr><td>Reboot instance</td><td>lightsail:RebootInstance</td><td><pre><code>reboot 'instance 1' lightsail vm
</code></pre></td></tr><tr><td>Delete instance</td><td>lightsail:DeleteInstance</td><td><pre><code>delete 'instance 1' lightsail vm
</code></pre></td></tr><tr><td>List static ips</td><td>lightsail:GetStaticIps</td><td><pre><code>list lightsail static ips
</code></pre></td></tr><tr><td>Allocate static ip</td><td>lightsail:AllocateStaticIp</td><td><pre><code>allocate a lightsail static ip
</code></pre></td></tr><tr><td>Get static ip details</td><td>lightsail:GetStaticIp</td><td><pre><code>fetch details of 'static1' lightsail static ip 
</code></pre></td></tr><tr><td>Attach static ip</td><td>lightsail:AttachStaticIp</td><td><pre><code>attach 'static1' lightsail static ip to 'instance1' vm
</code></pre></td></tr><tr><td>Detach static ip</td><td>lightsail:DetachStaticIp</td><td><pre><code>detach 'static1' lightsail static ip
</code></pre></td></tr><tr><td>Release static ip</td><td>lightsail:ReleaseStaticIp</td><td><pre><code>release 'static1' lightsail static ip
</code></pre></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mechcloud.io/ai-agents/aws-agent/lightsail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
